source: level2/competencies/RobotHouse/CMakeLists.txt @ 527

Revision 523, 647 bytes checked in by KDucasse, 10 years ago (diff)
Line 
1# YARP needs CMake 2.6 or greater
2cmake_minimum_required(VERSION 2.6)
3
4# find YARP
5find_package(YARP REQUIRED)
6FIND_PACKAGE( MRPT REQUIRED core base gui hwdrivers maps)
7
8
9# add YARP include directories
10include_directories(${YARP_INCLUDE_DIRS})
11
12# set up our program
13add_executable(SamExamples SamExample.cpp InteruptOverlay.h SamClass.h ExampleOne.h)
14
15
16add_executable(Robot ROBOT.cpp InteruptOverlay.h SamClass.h MapUpdater.h ODO.h VirtualRobot.h Vlaser.h PlaySounds.h VirtualCamera.h)
17
18
19# link with YARP libraries
20target_link_libraries(SamExamples ${YARP_LIBRARIES})
21target_link_libraries(Robot ${YARP_LIBRARIES} ${MRPT_LIBS})
Note: See TracBrowser for help on using the repository browser.